# Scan a directory containing DICOM files.

## SYNOPSIS

    gdcmscanner [options] directory

## DESCRIPTION

The gdcmscanner is a command line tool to quickly extract value from a set of DICOM attribute in a DICOM File-Set.

### PARAMETERS

      -d --dir       DICOM directory
      -t --tag %d,%d DICOM tag(s) to look for

### OPTIONS

      -p --print      Print output.
      -r --recursive  Recusively descend directory.

### general options

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

## Typical usage

## Simple usage

In order to display all the value for Patient Name (0010,0010) in the directory name gdcmData, simply do:

    $ gdcmscanner -t 10,10 -d gdcmData -p

## Complex usage

Because gdcmscanner does not support progress, you have to wait until all files are traversed to see any results. This is quite cumbersome, on linux this can be worked around with the following trick:

    $ find gdcmData -type d -exec gdcmscanner -t 10,10 -d {} -p \;

So all directory are locally traversed (no child directory are recursively traversed), which means results comes out much faster.

## SEE ALSO

gdcmdump(1), gdcmraw(1)

## COPYRIGHT

Copyright (c) 2006-2009 Mathieu Malaterre